Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle 8.0.6 to 8.1.7 upgrade missing libclntsh.sl.1.0 library file

Martin Johnson
Honored Contributor

Oracle 8.0.6 to 8.1.7 upgrade missing libclntsh.sl.1.0 library file

I upgraded oracle 8.0.6 to 8.1.7. When I tried to start ITO I got an "Exited on signal 6" error.

I tried running opcdbck and got:

ttfux015# /opt/OV/contrib/OpC/opcdbck < opc.checkfile > /tmp/opc.out
/usr/lib/dld.sl: Can't find path for shared library: libclntsh.sl.1.0
/usr/lib/dld.sl: No such file or directory
Abort(coredump)

I did the following:

ttfux015# ll /opt/OV/lib/libclntsh.sl.1.0
lrwx------ 1 root sys 50 Mar 20 12:06 /opt/OV/lib/libclntsh.
sl.1.0 -> /opt/OV/oracle/products/8.1.7/lib/libclntsh.sl.1.0

/opt/OV/oracle/products/8.1.7/lib/libclntsh.sl.1.0 does not exist.

I did a find on the entire system and only the 8.0.6 version of the file is on the system.

What do I do now?
3 REPLIES
Cheryl Griffin
Honored Contributor

Re: Oracle 8.0.6 to 8.1.7 upgrade missing libclntsh.sl.1.0 library file

Did you apply the recommended patches? They would be outlined in the in 8.1.7 Oracle Release notes. According to http://bizforums.itrc.hp.com/cm/QuestionAnswer/1,,0xbdc153921f1ad5118fef0090279cd0f9,00.html it's also on the oracle metalink under "131235.1"

From this post:
For information on required HP-UX patches, see
[NOTE:43507.1] It is strongly recommended that these HP patches are applied. Please note the following patches, which are mentioned in the CD Release Notes (Part number: A86566-01),
are included in Note:43507.1

PHSS_21947 (ld(1) and linker tools cumulative patch)
PHNE_20316 (Cumulative STREAMS Patch)
PHKL_21392 (VxFS performance, hang, icache DPFs)
PHKL_22145 (signal, threads, spinlock, scheduler, IDS)
PHKL_22266 (LVM Cumulative Patch)

Cheryl
"Downtime is a Crime."
Cheryl Griffin
Honored Contributor

Re: Oracle 8.0.6 to 8.1.7 upgrade missing libclntsh.sl.1.0 library file

Martin Johnson
Honored Contributor

Re: Oracle 8.0.6 to 8.1.7 upgrade missing libclntsh.sl.1.0 library file

I looked at another install of 8.1.7. /opt/OV/lib/libclntsh.sl.1.0 is linked to /opt/OV/oracle/products/8.1.7/lib/libclntsh.sl not libclntsh.sl.1.0. I changed the link and everything is fine.

I created the link from notes in the Quick Installation Guide for Oracle-for-OpenView 8.1.7. Obvously the doc is wrong.